Archived: FieldPoint Measurement Studio 7.0 Visual C++ API Has Been Obsoleted (Legacy)

Updated Mar 15, 2018

Reported In

Software

  • Measurement Studio

Driver

  • NI-FieldPoint

Programming Language

  • C++

Issue Details

Can I still use the FieldPoint Measurement Studio C++ API with my programs?

Solution

The FieldPoint Measurement Studio 7.0 Visual C++ Support has been obsoleted as of FieldPoint version 4.1. Due to design limitations, the Measurement Studio 7.0 Visual C++ Support cannot handle the rate at which newer FieldPoint controllers supply data. Consequently, National Instruments recommends that all new Visual C++ applications that use FieldPoint use the LabWindows/CVI/C API or DataSocket to communicate with FieldPoint network modules.

Applications previously built to use the Measurement Studio Visual C++ Support will continue to work with newer versions of FieldPoint driver software. Newer versions of FieldPoint driver software will not remove previously installed versions of Measurement Studio Visual C++ Support. In this case, applications that use FieldPoint Measurement Studio Visual C++ Support will continue to build properly.

If you uninstall a previous version of FieldPoint with Measurement Studio Visual C++ Support prior to installing FieldPoint version 4.1 or later, Measurement Studio Visual C++ Support will be removed from the system. In this case, applications that use FieldPoint Measurement Studio Visual C++ Support will not build. If this occurs and you need to obtain FieldPoint Measurement Studio Visual C++ Support, contact National Instruments Technical Support to obtain an installer that will reinstall the last supported version of FieldPoint Measurement Studio Visual C++ Support on your system (NI Technical Support Web site linked below).

If you install Measurement Studio 7.1 on a system that has FieldPoint Measurement Studio Visual C++ Support, the FieldPoint Measurement Studio Visual C++ Support will be available from the help file Index and Search tabs, but not from the Contents tab. 

Note: Measurement Studio no longer provides active support for Visual Studio 6.0, Visual Studio 2003, and Visual C++ MFC. If you want to continue building or developing applications using these legacy environments/languages, you can use the Measurement Studio Legacy Support page to inquire for further support for these products and compatible device drivers.

WAS THIS ARTICLE HELPFUL?

Not Helpful